# @zootools/waitlist-js - Viral whitelists and viral waiting lists for crypto and NFT projects

## Add a whitelist to your website (via browser)

1. Create a new account at: [https://waitlistpanda.com/](https://waitlistpanda.com/)
2. Create a new whitelist [https://www.waitlistpanda.com/lists](https://www.waitlistpanda.com/lists)
3. Click "form builder" in the top menu.
4. Click "Embed form".
5. Paste the scripts:

```
<a href="https://form.waitlistpanda.com/go/<YourListId>" data-waitlist-id="<YourListId>" style="color:#fff;background-color:#024453;border-radius:31px;">Receive updates</a>

<script async src="https://cdnjs.waitlistpanda.com/embed/web/index.min.js" charset="utf-8" defer></script>
```

## Add a whitelist to your website (via npm package)

1. Create a new account at: [https://waitlistpanda.com/](https://waitlistpanda.com/)
2. Create a new whitelist [https://www.waitlistpanda.com/lists](https://www.waitlistpanda.com/lists)
3. Copy the list id (it's part of the url), example: https://www.waitlistpanda.com/lists/234234234234
4. Install this package
    ```js
    npm install --save @zootools/waitlist-js
    ```
5. Import the library
    ```js
    import waitlistPanda from "@zootools/waitlist-js";
    ```
6. Init the library
    ```js
    waitlistPanda.init();
    ```

If you are using React, you should prob initialize once the website is fully loaded in the client:

```js
import waitlistPanda from "@zootools/waitlist-js";
import {useEffect} from 'react'

useEffect(() => {
    waitlistPanda.init();
}, []);
```
